#version 330 core
in vec3 vPos;
in vec3 vCol;
in vec2 tCoord;

out vec4 FragColor;

uniform sampler2D t1;
uniform sampler2D t2;
uniform float mixAmount;

void main() {
    vec2 flipped = vec2(-tCoord.x, tCoord.y);
    FragColor = mix(texture(t1, tCoord), texture(t2, flipped), mixAmount);
}
